USN-299-1: dhcdbd vulnerability

14 June 2006

dhcdbd vulnerability

A security issue affects these releases of Ubuntu and its derivatives:

  • Ubuntu 6.06 LTS

Software Description

Details

Florian Hackenberger discovered a memory corruption bug in dhcdbd (the NetworkManager daemon for processing DHCP operations). Invalid DHCP responses crashed dhcdbd, which caused NetworkManager to not work any more.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 6.06 LTS
dhcdbd - 1.10-0ubuntu11.1

To update your system, please follow these instructions: https://wiki.ubuntu.com/Security/Upgrades.

In general, a standard system upgrade is sufficient to effect the necessary changes.

References